Skip to main content
GET
/
email
/
inboxes
/
{inbox_id}
/
events
List inbox events
curl --request GET \
  --url https://api.crevio.co/v1/email/inboxes/{inbox_id}/events \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "inbox_id": "<string>",
      "message_id": "<string>",
      "thread_id": "<string>",
      "type": "<string>",
      "data": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

inbox_id
string
required

Inbox id (inbox_…)

Query Parameters

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

Events

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string